@charset "utf-8"; 
/* *******************************************************
 * filename : fonts.css
 * description : 웹폰트 CSS
 * date : 2022-03-26
******************************************************** */

/* Google Fonts Import */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100..900&display=swap'); /* 번체 중국어용 */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@100..900&display=swap'); /* 라틴, 영어 */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Arabic:wght@400&display=swap');


/* 공통 변수 정의 */
:root {
	--font-fallback: Arial, Helvetica, sans-serif;
	--font-family-default: 'Pretendard', 'Noto Sans KR', '나눔고딕', NanumGothic, Dotum, var(--font-fallback);
	--font-family-zh-CN: 'Noto Sans SC', 'Microsoft YaHei', SimSun, 'PingFang SC', var(--font-fallback);
	--font-family-zh-TW: 'Noto Sans TC', 'Microsoft JhengHei', PMingLiU, var(--font-fallback);
	--font-family-ja: 'Noto Sans JP', 'Yu Gothic', 'Meiryo', var(--font-fallback);
	--font-family-en: 'Inter', 'Noto Sans', Roboto, var(--font-fallback);
	--font-family-ar: 'Noto Sans Arabic', var(--font-fallback);
}
body {
  	font-display: swap; /* 시스템 폰트 fallback 표시 후 교체 */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

html body,
html input,
html textarea,
html select,
html button,
html table,
html td,
html th {
	font-family: var(--font-family-default);
}

/* 언어별 적용 */
html[lang=ko] body,
html[lang=ko] input,
html[lang=ko] textarea,
html[lang=ko] select,
html[lang=ko] button,
html[lang=ko] table,
html[lang=ko] td,
html[lang=ko] th {
	font-family: var(--font-family-default) !important;
}

html[lang=zh] body,
html[lang=zh] input,
html[lang=zh] textarea,
html[lang=zh] select,
html[lang=zh] button,
html[lang=zh] table,
html[lang=zh] td,
html[lang=zh] th {
	font-family: var(--font-family-zh-CN) !important;
}

html[lang=zh-TW] body,
html[lang=zh-TW] input,
html[lang=zh-TW] textarea,
html[lang=zh-TW] select,
html[lang=zh-TW] button,
html[lang=zh-TW] table,
html[lang=zh-TW] td,
html[lang=zh-TW] th {
	font-family: var(--font-family-zh-TW) !important;
}

html[lang=ja] body,
html[lang=ja] input,
html[lang=ja] textarea,
html[lang=ja] select,
html[lang=ja] button,
html[lang=ja] table,
html[lang=ja] td,
html[lang=ja] th {
	font-family: var(--font-family-ja) !important;
}

html[lang=en] body,
html[lang=en] input,
html[lang=en] textarea,
html[lang=en] select,
html[lang=en] button,
html[lang=en] table,
html[lang=en] td,
html[lang=en] th {
	font-family: var(--font-family-en) !important;
}

html[lang=ar] body,
html[lang=ar] input,
html[lang=ar] textarea,
html[lang=ar] select,
html[lang=ar] button,
html[lang=ar] table,
html[lang=ar] td,
html[lang=ar] th {
	font-family: var(--font-family-ar) !important;
}

/*
* Pretendard
*/
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 300; 
src: url(../../assets/fonts/Pretendard-Light.woff) format('woff'),
	url(../../assets/fonts/Pretendard-Light.woff2) format('woff2'); 
} 
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 400; 
src: url(../../assets/fonts/Pretendard-Regular.woff) format('woff'),
	url(../../assets/fonts/Pretendard-Regular.woff2) format('woff2'); 
} 
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 500; 
src: url(../../assets/fonts/Pretendard-Medium.woff) format('woff'),
	url(../../assets/fonts/Pretendard-Medium.woff2) format('woff2');
}
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 600; 
src: url(../../assets/fonts/Pretendard-SemiBold.woff) format('woff'),
	url(../../assets/fonts/Pretendard-SemiBold.woff2) format('woff2');
}
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 700; 
src: url(../../assets/fonts/Pretendard-Bold.woff) format('woff'),
	url(../../assets/fonts/Pretendard-Bold.woff2) format('woff2');
}
@font-face { 
font-family: 'Pretendard'; 
font-style: normal; 
font-weight: 900; 
src: url(../../assets/fonts/Pretendard-Black.woff) format('woff'),
	url(../../assets/fonts/Pretendard-Black.woff2) format('woff2');
}